<!--#include virtual="/includes/ripencc/disihead3.inc"-->

<h1>NAME</h1>
<pre>
    dnssigner - A dnssec zone signer that uses a Net::DNS::SEC::Maint keydatabase

</pre>
<h1>SYNOPSIS</h1>
<pre>
    dnssigner [options] zonefile

</pre>
<p>dnssigner [-v] [-o <origin>] zonefile
dnssigner -h|-?
dnssigner -V</p>
<p>General Flags
 -h print this help message and exit
 -V print version information and exit
 -v increase verbosity</p>
<pre>
 zonefile         name of the zonefile.

</pre>
<pre>
 -o &lt;origin&gt;      origin of the zone. If not supplied the name of the zone 
                  will be used as origin.

</pre>
<pre>
 -t               print statistics of the signing process to stderr.

</pre>
<pre>
 -s               YYYYMMDDHHMMSS|+offset:
		  SIG start time - absolute|offset (now)

</pre>
<pre>
 -e               YYYYMMDDHHMMSS|+offset|\"now\"+offset]:
		  SIG end time  - absolute|from start|from now (now + 30 days)
 
</pre>
<h1>DESCRIPTION</h1>
<p>A signer using a Net::DNS::SEC::Maint keydatabase. Users can a separate tool
to configure DNSSEC keys in the keydatabase. The dnssigner will use
this database to include a KEYSET in the apex and sign the zone using
an appropriate zone and keysinging keys.</p>
<h1>CONFIGURATION</h1>
<p>The signer needs access to the dnssecmaint configuration file. If the
DNSSECMAINT_CONFFILE does not contain a full path to the configuration file
the system will use the default location. (/usr/local/etc/dnssecmaint.conf)</p>
<p>The Net::DNS::SEC::Maint package commes with a utility called
dnssecmaint-config that will assist you in generating a configuration file.</p>
<h1>Features, bugs and TODO</h1>
<p>The code is dependend on Net::DNS::SEC::Maint::Zone. See the TODO file
in the distribution for more info.</p>
<p>This is code in development stage not ment for further
distribution. Use at your own risk</p>
<h1>COPYRIGHT</h1>
<p>Copyright (c) 2001  RIPE NCC.  Author Olaf M. Kolkman</p>
<p>All Rights Reserved</p>
<p>Permission to use, copy, modify, and distribute this software and its
documentation for any purpose and without fee is hereby granted,
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in
supporting documentation, and that the name of the author not be used
in advertising or publicity pertaining to distribution of the software
without specific, written prior permission.</p>
<p>THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS; IN NO
EVENT SHALL AUTHOR BE LIABLE FOR ANY SPECIAL, INDIRECT OR
CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.</p>
<h1>SEE ALSO</h1>
<p>Net::DNS::SEC::Maint::User,  Net::DNS::SEC::Maint::Key, dnssec-signzone</p>
<!--#include virtual="/templates/ripencc/3panetopics.inc"-->

<!--#include virtual="related.inc"-->

<!--#include virtual="/includes/ripencc/disifoot3.inc"-->

</html>

